Author Topic: Get ready for JAVA 8  (Read 638 times)

Dirk Diggler on: March 24, 2015, 05:02:31 PM

  • FIMK Staff
  • *****
  • Posts: 486
    • View Profile
    • Krypto Fin ry
Our dear friends at NXT warned us about the upcoming NXT 1.5 and the fact that it will require JAVA 8 instead of JAVA 7 which is now the required version.
NXT 1.5 will contain a couple nice improvements (multi sig among others) and will undoubtedly include lots of bug fixes so my guess is we'll be updating FIMK to NXT 1.5 soon after it's released.

If you are on ubuntu follow these instructions to install JAVA 8.

# optional this is needed by add-apt-repository
apt-get install python-software-properties
add-apt-repository ppa:webupd8team/java
apt-get update
# this has to be done once to auto-accept the license while running over ssh (headless)
echo oracle-java8-installer shared/accepted-oracle-license-v1-1 select true | sudo /usr/bin/debconf-set-selections
apt-get install oracle-java8-installer


Follow the JAVA 8 discussion (for tips and tricks) at the NXT forum here.
FIMK Developer | GPG fingerprint: CEF2 7C39 43BE 6800 504E  71BC 7E87 A7B0 AC34 E2D5 | mofowallet.com | blog